"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const services_1 = require("../services");
const useCioClient = ({ apiKey, cioJsClient }) => {
    if (!apiKey && !cioJsClient) {
        throw new Error('Either apiKey or cioJsClient is required');
    }
    const memoizedCioClient = (0, react_1.useMemo)(() => cioJsClient || (0, services_1.getCioClient)(apiKey), [apiKey, cioJsClient]);
    return memoizedCioClient;
};
exports.default = useCioClient;
