"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useConsoleErrors = (quizOptions) => {
    const { quizId, resultsPageOptions, callbacks } = quizOptions;
    (0, react_1.useEffect)(() => {
        if (!quizId) {
            // eslint-disable-next-line no-console
            console.error('quizId is a required field of type string');
        }
        if (!(callbacks === null || callbacks === void 0 ? void 0 : callbacks.onAddToCartClick)) {
            // eslint-disable-next-line no-console
            console.error('callbacks.onAddToCartClick is a required field of type function');
        }
    }, [quizId, resultsPageOptions, callbacks === null || callbacks === void 0 ? void 0 : callbacks.onAddToCartClick]);
};
exports.default = useConsoleErrors;
