import React, { useContext } from 'react';
import QuizContext from '../CioQuiz/context';
import ShareButton from '../ShareButton/ShareButton';
function ResultFiltersAndShare({ onShare, numberOfResults, showShareButton, }) {
    const { state } = useContext(QuizContext);
    const matchedOptions = state?.quiz?.matchedOptions || [];
    return (React.createElement("div", { className: 'cio-results-filter-and-redo-container cio-results-button-group' },
        React.createElement("div", { className: 'cio-results-filter-container' }, !!matchedOptions.length && (React.createElement("p", { className: 'cio-results-explanation' },
            "Based on your answers ",
            React.createElement("span", null, matchedOptions.join(', ')),
            " we recommend these matches."))),
        React.createElement("div", { className: 'cio-results-number-and-share-button-group' },
            numberOfResults,
            " ",
            numberOfResults === 1 ? 'result' : 'results',
            showShareButton && React.createElement(ShareButton, { onClick: onShare }))));
}
export default ResultFiltersAndShare;
