import React, { useState } from 'react';
import CheckMarkCircleSVG from './CheckMarkCircleSVG';
import AlertCircleSVG from './AlertCircleSVG';
export default function LinkField({ url }) {
    const [isCopied, setIsCopied] = useState(false);
    const [isError, setIsError] = useState(false);
    return (React.createElement("div", { className: 'cio-share-results-feature-group' },
        React.createElement("div", { className: 'cio-share-results-description' }, "Share by link"),
        React.createElement("div", { className: 'cio-share-results-button-group' },
            React.createElement("input", { className: 'cio-share-results-link-input', value: url, disabled: true }),
            React.createElement("button", { className: 'cio-share-results-share-button', type: 'button', onClick: () => {
                    try {
                        navigator.clipboard.writeText(url);
                        setIsCopied(true);
                    }
                    catch (_e) {
                        setIsError(true);
                    }
                } }, "Copy link")),
        isCopied && (React.createElement("div", { className: 'cio-share-results-notification' },
            React.createElement(CheckMarkCircleSVG, null),
            React.createElement("div", null, "Link copied to clipboard"))),
        isError && (React.createElement("div", { className: 'cio-share-results-notification' },
            React.createElement(AlertCircleSVG, null),
            React.createElement("div", null, "Sorry, there was an error copying. Please try again.")))));
}
