import { useCallback } from 'react';
import { QuestionTypes } from '../../components/CioQuiz/actions';
import { getStateFromSessionStorage } from '../../utils';
const useHydrateQuizLocalState = (quizSessionStorageStateKey, dispatchLocalState) => {
    const sessionStorageQuizState = getStateFromSessionStorage(quizSessionStorageStateKey);
    const hydrateQuizLocalStateHandler = useCallback(() => {
        if (sessionStorageQuizState) {
            dispatchLocalState({
                type: QuestionTypes.Hydrate,
                payload: sessionStorageQuizState,
            });
        }
    }, [dispatchLocalState, sessionStorageQuizState]);
    return hydrateQuizLocalStateHandler;
};
export default useHydrateQuizLocalState;
