import { useCallback } from 'react';
import { QuestionTypes } from '../../components/CioQuiz/actions';
const useQuizAnswerChangeHandler = (quizApiState, dispatchLocalState) => {
    const quizAnswerChangedHandler = useCallback((payload) => {
        const questionType = quizApiState.quizCurrentQuestion?.next_question?.type;
        const currentQuestion = quizApiState.quizCurrentQuestion;
        if (currentQuestion?.next_question) {
            switch (questionType) {
                case QuestionTypes.Cover:
                    dispatchLocalState({
                        type: QuestionTypes.Cover,
                        payload: {
                            questionId: currentQuestion.next_question.id,
                            input: '',
                        },
                    });
                    break;
                case QuestionTypes.OpenText:
                    dispatchLocalState({
                        type: QuestionTypes.OpenText,
                        payload: {
                            questionId: currentQuestion.next_question.id,
                            input: payload,
                        },
                    });
                    break;
                case QuestionTypes.SingleSelect:
                case QuestionTypes.MultipleSelect:
                    dispatchLocalState({
                        type: currentQuestion.next_question.type,
                        payload: {
                            questionId: currentQuestion.next_question.id,
                            input: payload,
                        },
                    });
                    break;
                default:
                    break;
            }
        }
    }, [quizApiState, dispatchLocalState]);
    return quizAnswerChangedHandler;
};
export default useQuizAnswerChangeHandler;
